Create an RBS volume

POST/v1/remote_block_storage/volumes

A POST request to the /v1/remote_block_storage/volumes endpoint will create an RBS volume with parameters specified in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

FieldDetails
name
string

Give a name to the volume.

size
integer

Min: 1

Volume size in GB.

location_id
integer

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

flavor_id
integer

A unique identifier of a flavor. To list all IDs, use this request.

labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/remote_block_storage/volumes" \  -H "Content-Type: application/json" \  -d '{    "name": "new volume name",    "location_id": 2001,    "flavor_id": 3079,    "size": 100,    "labels": {      "env": "production"    }  }'
{  "id": "4oeEva0B",  "name": "new volume name",  "size": 100,  "status": "creating",  "location_id": 2001,  "location_code": "AMS2001",  "flavor_id": 3079,  "flavor_name": "RBS Flavor name2062",  "iops": 5000,  "bandwidth": 2900,  "labels": {    "env": "production"  },  "ip_address": null,  "target_iqn": null,  "operational_status": null,  "created_at": "2025-12-31T00:00:00.000Z",  "updated_at": "2025-12-31T00:00:00.000Z"}